Bug 1727893 - Review Request: php-sabre-dav4 - WebDAV Framework for PHP
Summary: Review Request: php-sabre-dav4 - WebDAV Framework for PHP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1727886 1727888 1727891
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-08 13:07 UTC by Remi Collet
Modified: 2019-07-24 00:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-24 00:58:21 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2019-07-08 13:07:00 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/sabre/php-sabre-dav4.git/plain/php-sabre-dav4.spec?id=9fed0ef2b47d82401558bb6ce54b39b977549412
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sabre-dav4-4.0.0-1.remi.src.rpm
Description: 
What is SabreDAV

SabreDAV allows you to easily add WebDAV support to a PHP application.
SabreDAV is meant to cover the entire standard, and attempts to allow
integration using an easy to understand API.

Feature list:
* Fully WebDAV compliant
* Supports Windows XP, Windows Vista, Mac OS/X, DavFSv2, Cadaver, Netdrive,
  Open Office, and probably more.
* Passing all Litmus tests.
* Supporting class 1, 2 and 3 Webdav servers.
* Locking support.
* Custom property support.
* CalDAV (tested with Evolution, iCal, iPhone and Lightning).
* CardDAV (tested with OS/X addressbook, the iOS addressbook and Evolution).
* Over 97% unittest code coverage.

Autoloader: /usr/share/php/Sabre/DAV4/autoload.php


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2019-07-12 19:33:41 UTC
 - Add the license for icons to the License field and install the icon license file with %license

Expat License
-------------
dav-a4959bf2b9b175aef6fd91c9006b1ca7a56f9bb0/lib/DAV4/Browser/assets/openiconic/ICON-LICENSE


Package approved. Please fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file ICON-LICENSE is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD 3-clause "New" or "Revised" License",
     "Apache License (v2.0)", "Expat License". 521 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-sabre-dav4/review-php-sabre-
     dav4/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: php-sabre-dav4 (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 215040 bytes in 39 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[ ]: Run phpci static analyze on all php files.
     Note: Test run failed


Rpmlint
-------
Checking: php-sabre-dav4-4.0.0-1.fc31.noarch.rpm
          php-sabre-dav4-4.0.0-1.fc31.src.rpm
php-sabre-dav4.noarch: W: spelling-error %description -l en_US iCal -> i Cal, Cal, Cali
php-sabre-dav4.noarch: W: spelling-error %description -l en_US addressbook -> address book, address-book, addressable
php-sabre-dav4.noarch: W: spelling-error %description -l en_US iOS -> OS, SOS, DOS
php-sabre-dav4.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
php-sabre-dav4.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-dav4.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/build.php /usr/bin/env php
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/googlecode_upload.py /usr/bin/env python
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/migrateto20.php /usr/bin/env php
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/migrateto21.php /usr/bin/env php
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/migrateto30.php /usr/bin/env php
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/migrateto32.php /usr/bin/env php
php-sabre-dav4.noarch: E: wrong-script-interpreter /usr/share/doc/php-sabre-dav4/bin/naturalselection /usr/bin/env python
php-sabre-dav4.src: W: spelling-error %description -l en_US iCal -> i Cal, Cal, Cali
php-sabre-dav4.src: W: spelling-error %description -l en_US addressbook -> address book, address-book, addressable
php-sabre-dav4.src: W: spelling-error %description -l en_US iOS -> OS, SOS, DOS
php-sabre-dav4.src: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
php-sabre-dav4.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-dav4.src: W: spelling-error %description -l en_US usr -> use, us, user
php-sabre-dav4.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 7 errors, 13 warnings.

Comment 2 Remi Collet 2019-07-13 05:36:04 UTC
Thanks for the review

> - Add the license for icons to the License field and install the icon license file with %license

Will do.


SCL requests
https://pagure.io/releng/fedora-scm-requests/issue/13359
https://pagure.io/releng/fedora-scm-requests/issue/13360

Comment 3 Gwyn Ciesla 2019-07-13 18:12:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-sabre-dav4

Comment 4 Fedora Update System 2019-07-15 07:06:05 UTC
FEDORA-2019-ad9062f925 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad9062f925

Comment 5 Fedora Update System 2019-07-16 00:54:05 UTC
php-sabre-dav4-4.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad9062f925

Comment 6 Fedora Update System 2019-07-24 00:58:21 UTC
php-sabre-dav4-4.0.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.